Bug 1076796 - tdom bundles expat (partially)
tdom bundles expat (partially)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tdom (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dmitrij S. Kryzhevich
Fedora Extras Quality Assurance
:
Depends On: 1240241
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2014-03-15 04:51 EDT by Ville Skyttä
Modified: 2015-07-21 04:22 EDT (History)
1 user (show)

See Also:
Fixed In Version: tdom-0.8.2-19.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 04:22:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2014-03-15 04:51:36 EDT
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

tdom has been patched to build with system expat, but the patching isn't quite complete. tdom-debuginfo contains expat files from the source tree, and "rm -r expat" done in %prep causes the build to fail later because it's explicitly searching some bundled expat files.

$ rpm -qlp http://kojipkgs.fedoraproject.org//packages/tdom/0.8.2/11.fc20/x86_64/tdom-debuginfo-0.8.2-11.fc20.x86_64.rpm | grep /expat
/usr/src/debug/tDOM-0.8.2/expat
/usr/src/debug/tDOM-0.8.2/expat/expat.h
/usr/src/debug/tDOM-0.8.2/expat/expat_external.h
/usr/src/debug/tDOM-0.8.2/expat/nametab.h
Comment 1 Jaroslav Reznik 2015-03-03 10:34:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora Update System 2015-07-07 00:34:08 EDT
tdom-0.8.2-18.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/tdom-0.8.2-18.fc22
Comment 3 Fedora Update System 2015-07-07 01:48:17 EDT
tdom-0.8.2-19.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/tdom-0.8.2-19.fc22
Comment 4 Fedora Update System 2015-07-10 15:12:08 EDT
Package tdom-0.8.2-19.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tdom-0.8.2-19.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11292/tdom-0.8.2-19.fc22
then log in and leave karma (feedback).
Comment 5 Jan Kurik 2015-07-15 10:41:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 6 Fedora Update System 2015-07-21 04:22:14 EDT
tdom-0.8.2-19.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.